
TYPO3.Flow - Task # 25923

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Session
Created: 2011-04-12 Assigned To: Christian Müller
Updated: 2012-05-09 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Clean up session files in compile run
Description

During the compile run, certain / most caches are rebuilt. If an account is currently logged in, it won't be able to access restricted
resources after a compile run because the session cookie doesn't have corresponding information in FLOW3 anymore. In this case
the user will experience an Access Denied exception (not a nice experience).

If the PHP session data would be trashed during the compile run, the user would get a fresh session cookie on the next hit and instead
of the Access Denied would be redirected to an authentication entry point due to a AuthenticationRequiredException.

Related issues:
related to TYPO3.Flow - Bug # 25922: Proxy classes have to be regenerated whe... Closed 2011-04-12
blocked by TYPO3.Flow - Task # 34817: Have a way to clear all sessions Resolved 2012-03-14

Associated revisions
Revision dc804a6f - 2012-05-08 18:12 - Christian Müller

[FEATURE] Destroy all sessions on cache:flush command

When the typo3.flow3:cache:flush command is called all session data
for the currently configured session implementation will be
destroyed too.

Change-Id: I571c40b1ff744860f8028a7de8917df9607378cf
Resolves: #25923
Releases: 1.1

History
#1 - 2011-05-06 11:05 - Robert Lemke
- Category changed from Security to Session

#2 - 2011-08-04 08:39 - Sebastian Kurfuerst

would be nice to be fixed, though no blocker.

#3 - 2011-08-23 11:13 - Robert Lemke
- Target version changed from 1.0 beta 1 to 1.0 beta 2

#4 - 2011-09-09 15:17 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0
#5 - 2011-10-20 01:47 - Karsten Dambekalns
- Target version deleted (1.0.0)

#6 - 2011-10-25 18:46 - Robert Lemke
- Target version set to 1.0.1
- Has patch set to No

#7 - 2011-11-22 12:48 - Karsten Dambekalns
- Target version changed from 1.0.1 to 1.0.2

#8 - 2011-12-22 08:51 - Karsten Dambekalns
- Target version changed from 1.0.2 to 1.0.3

#9 - 2012-03-07 18:52 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.0.4

#10 - 2012-03-14 08:43 - Christian Müller
- Status changed from New to Accepted
- Assigned To set to Christian Müller

See also #34817

#11 - 2012-03-14 08:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633

#12 - 2012-03-14 18:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633

#13 - 2012-03-14 18:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633

#14 - 2012-03-19 11:33 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.1

#15 - 2012-04-01 22:56 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633
#16 - 2012-04-25 11:55 - Christian Müller
- Target version changed from 1.1 to 1.1 beta 1

#17 - 2012-05-08 16:23 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633

#18 - 2012-05-08 17:40 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633

#19 - 2012-05-08 17:43 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633

#20 - 2012-05-08 18:12 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9633

#21 - 2012-05-09 02:39 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dc804a6f9c42d60cf982a67fdca8f9812b77715b.
